let
  sources = import ./nix/sources.nix;
  pkgs =  import sources.nixpkgs {};
  ghcVersion = "ghc865";
  haskellPackages = pkgs.haskell.packages."${ghcVersion}";
  hlib = pkgs.haskell.lib;
in haskellPackages.developPackage {
  name = "haskell-playground";
  root = ./.;
  modifier = drv: hlib.overrideCabal drv (attrs: {
    buildTools = (attrs.buildTools or []) ++ [
      haskellPackages.cabal-install
    ];
  });
}
